> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transfer Preview



## OpenAPI

````yaml /openapi.json get /transfers/preview
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /transfers/preview:
    get:
      tags:
        - Transfers
      summary: Get Transfer Preview
      operationId: get_transfer_preview_transfers_preview_get
      parameters:
        - name: from_login
          in: query
          required: true
          schema:
            type: string
            title: From Login
        - name: to_login
          in: query
          required: true
          schema:
            type: string
            title: To Login
        - name: amount
          in: query
          required: true
          schema:
            type: number
            exclusiveMinimum: 0
            title: Amount
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransferPreviewResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TransferPreviewResponse:
      properties:
        from_login:
          type: string
          title: From Login
        to_login:
          type: string
          title: To Login
        amount:
          type: number
          title: Amount
        from_currency:
          type: string
          title: From Currency
        to_currency:
          type: string
          title: To Currency
        mid_rate:
          type: number
          title: Mid Rate
        spread_pct:
          type: number
          title: Spread Pct
        effective_rate:
          type: number
          title: Effective Rate
        converted_amount:
          type: number
          title: Converted Amount
        max_transferable:
          type: number
          title: Max Transferable
      type: object
      required:
        - from_login
        - to_login
        - amount
        - from_currency
        - to_currency
        - mid_rate
        - spread_pct
        - effective_rate
        - converted_amount
        - max_transferable
      title: TransferPreviewResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````